// 5648-C84, 5648-C83, (C) Copyright IBM Corporation, 1997, 2000
// All rights reserved. Licensed Materials Property of IBM
// Note to US Government users: Documentation related to restricted rights
// Use, duplication or disclosure is subject to restrictions set forth in GSA ADP Schedule with IBM Corp.
// This page may contain other proprietary notices and copyright information, the terms of which must be observed and followed.
//
// This program may be used, executed, copied, modified and distributed
// without royalty for the purpose of developing, using,
// marketing, or distributing.

package WebSphereSamples.YourCo.Timeout;

/**
* JavaDoc comment for this bean
*/

public class TotalLeaveBean extends java.lang.Object implements java.io.Serializable
{

    /**
    * Instance variable for the balance property
    */
    protected int totalVactionalLeave = 0;
    protected int totalPersonalLeave = 0;
    protected int totalSickLeave = 0;
    protected int numberEmployees =  0;

  
    /*****************************************************************************
    * Set method for all counts
    * 
    * @param value the new value for the property
    */
    public void setTotalValues(int amtVacationLeave,
						int amtPersonalLeave,
						int amtSickLeave,
						int countEmployees)
    {
       totalVactionalLeave = amtVacationLeave;
		totalPersonalLeave = amtPersonalLeave;
		totalSickLeave = amtSickLeave;
		numberEmployees = countEmployees;
    }

    /*****************************************************************************
    * Get method for total Vactional Leave
    * 
    * @return the value of the property
    */
    public int getTotalVactional()
    {
        return totalVactionalLeave; 
    }
    /*****************************************************************************
    * Get method for total Personal Leave
    * 
    * @return the value of the property
    */
    public int getTotalPersonal()
    {
        return totalPersonalLeave;
    }
    /*****************************************************************************
    * Get method for total Sick Leave
    * 
    * @return the value of the property
    */
    public int getTotalSick()
    {
        return totalSickLeave;
    }
    /*****************************************************************************
    * Get method for total number employees
    * 
    * @return the value of the property
    */
    public int getNumberEmployees()
    {
        return numberEmployees;
    }


}
