package itso.mqe.chatclient;

/**
 * Insert the type's description here.
 * Creation date: (9/18/2001 12:27:01 PM)
 * @author: Administrator
 */

import itso.mqe.chatwindow.*;

import java.util.*;

public class ClientMgr {
    private RoomWindow chatRoomClient = null;

	ClientQm clientQmgr = null;

	static boolean readProps = false;

/**
 * ClientMgr constructor comment.
 */
public ClientMgr() {
	super();
	chatRoomClient = new RoomWindow(this);

}
/**
 * Starts the application.
 * @param args an array of command-line arguments
 */
public static void main(java.lang.String[] args) {

	/* Create a new instance of this class, the constructor for this
	   class will create a new chatwindow.RoomWindow object */
	   
    ClientMgr clientChatRoom = new ClientMgr();
    
    /* If the parm -p is typed in, then set flag, which will cause 
       properties flag to be read prior to queue manager startup */
     
    if (args.length > 0){
        if (args[0].indexOf("-p") >= 0) readProps = true;
        }

    /* Go start the chat room window application running */

    clientChatRoom.startChatRoom();

}
/**
 * Insert the method's description here.
 * Creation date: (10/1/2001 10:13:16 AM)
 * @param viaWasFlag java.lang.String
 * @param message java.lang.String
 */
public void sendMessage(String viaWasFlag, String message) {

	/* Invoke method in the queue manager object to do the actual
	   sending of the message */
	   
		clientQmgr.sendMessage(viaWasFlag, message);
	}
/**
 * Insert the method's description here.
 * Creation date: (9/19/2001 12:53:18 PM)
 */
public void showAdminGui() {
	
	clientQmgr.showAdminGui();

}
/**
 * Insert the method's description here.
 * Creation date: (10/1/2001 9:19:22 AM)
 * @param receivedMsg java.lang.String
 */
public void showReceivedMsg(String receivedMsg) {
	
	/* Invoke method in the object controlling the GUI window
	   to display the message read off the queue */
	   	
	chatRoomClient.showReceivedMsg(receivedMsg);
	
	}
/**
 * Insert the method's description here.
 * Creation date: (9/18/2001 4:31:00 PM)
 */
public void startChatRoom() {

	/* Create an instance of the object that will be the
	   queue manager */
	   
	clientQmgr = new ClientQm();

	/* Then call startClientQm to actually have the queue manager started, passing 
	   this object as a parmater, so that methods in this object can be 
	   invoked by it */
	
	clientQmgr.startClientQm(this);

	/* Call method to create and display client side chat window */
	chatRoomClient.showChatWindow();

	/* Call methods to set up event listeners to take action when
	   message typed in */
	   
	chatRoomClient.setupWasInputListener();
	chatRoomClient.setupDirectInputListener();

	}
/**
 * Insert the method's description here.
 * Creation date: (9/19/2001 11:13:18 AM)
 */
public void triggerSend() {
	
	clientQmgr.triggerSend();
	}
/**
 * Insert the method's description here.
 * Creation date: (9/26/2001 11:57:30 AM)
 */
public void yourCoQuery() {
	
	clientQmgr.yourCoQuery();

	}
}
